package com.zd.alg.smartlock.domain.api;

import com.zd.alg.smartlock.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liujh
 * @Date: 2022/09/03/15:04
 * @Description:
 */
@ApiModel("开关门记录查询条件")
public class SlOpenDoorSearch extends BaseDomain {

    @ApiModelProperty(value = "房间id")
    private String roomid;

    @ApiModelProperty(value = "结束日期")
    private String edate;

    @ApiModelProperty(value = "类型（0或空=所有记录，1=报警记录，2=开门记录）")
    private String recordtype;

    @ApiModelProperty(value = "起始日期")
    private String sdate;

    @ApiModelProperty(value = "根据人员姓名/人员编号/卡号/指纹编号/人脸编号/二维码编号检索")
    private String search;

    @ApiModelProperty(value = "操作类型 （0或空=所有记录，1=报警记录，2=开门记录）")
    private String unlockingtype;

    public String getRoomid() {
        return roomid;
    }

    public void setRoomid(String roomid) {
        this.roomid = roomid;
    }

    public String getEdate() {
        return edate;
    }

    public void setEdate(String edate) {
        this.edate = edate;
    }

    public String getRecordtype() {
        return recordtype;
    }

    public void setRecordtype(String recordtype) {
        this.recordtype = recordtype;
    }

    public String getSdate() {
        return sdate;
    }

    public void setSdate(String sdate) {
        this.sdate = sdate;
    }

    @Override
    public String getSearch() {
        return search;
    }

    @Override
    public void setSearch(String search) {
        this.search = search;
    }

    public String getUnlockingtype() {
        return unlockingtype;
    }

    public void setUnlockingtype(String unlockingtype) {
        this.unlockingtype = unlockingtype;
    }
}
